Get a scored assessment response
curl --request GET \
--url https://manuscript.example.com/api/v1/assessments/responses/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/assessments/responses/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/assessments/responses/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"externalId": "<string>",
"trackingReference": "<string>",
"user": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"score": "<string>",
"scoreDescription": "<string>",
"sectionScores": [
{
"name": "<string>",
"score": "<string>"
}
],
"questions": [
{
"sectionName": "<string>",
"questionOrder": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"answerValue": "<string>",
"viewedAt": [
"2023-11-07T05:31:56Z"
],
"answeredAt": "2023-11-07T05:31:56Z",
"choiceOrder": 123
}
],
"notes": [
{
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>"
}
],
"rankedScores": [
{
"name": "<string>",
"rank": 123,
"pointsScored": 123
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Get a scored assessment response
The full scored response: responseId, depReference, externalId, trackingReference, user, start and end dates, score, scoreDescription, sectionScores, questions, notes and rankedScores.
GET
/
api
/
v1
/
assessments
/
responses
/
{Id}
Get a scored assessment response
curl --request GET \
--url https://manuscript.example.com/api/v1/assessments/responses/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/assessments/responses/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/assessments/responses/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"externalId": "<string>",
"trackingReference": "<string>",
"user": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"score": "<string>",
"scoreDescription": "<string>",
"sectionScores": [
{
"name": "<string>",
"score": "<string>"
}
],
"questions": [
{
"sectionName": "<string>",
"questionOrder": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"answerValue": "<string>",
"viewedAt": [
"2023-11-07T05:31:56Z"
],
"answeredAt": "2023-11-07T05:31:56Z",
"choiceOrder": 123
}
],
"notes": [
{
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>"
}
],
"rankedScores": [
{
"name": "<string>",
"rank": 123,
"pointsScored": 123
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Authorizations
Response
OK